//Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.
// Для виконання деякого набору команд декілька разів. Наприкрад нам треба вивести в консоль числа від одного до 10, або знайти сумму всіх чисел в масиві


// Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.
// Цикл for я використовую у тому разі, коли знаю точну кількість ітерацій потрібних мені ітерацій. Цикл while я використовую коли мені треба виконувати деякі команди до моменту коли умова циклу не буде true.


// Що таке явне та неявне приведення (перетворення) типів даних у JS?
// Коли ми явно хочем привести тип до іншого наприклад Number(value) це явне приведення, а коли сам JS робить це приведення то це не явне наприклад 5 * '5'


let range = parseInt(prompt("Enter the number:"));
if (range === 0){
    alert("Sorry, no numbers")
}
while (isNaN(range) || range % 1 !== 0 || range < 0){
    range = parseInt(prompt("Enter the number:"));
}
let countNums = 0;
for (let i = 1; i <= range; i++){
    if (i % 5 === 0){
        console.log(i);
        countNums++;
    }
}
if (countNums === 0){
    alert("Sorry, no numbers")
}
